Bug 699292

Summary: Providing native systemd file for upcoming F15 Feature Systemd
Product: [Fedora] Fedora Reporter: Jóhann B. Guðmundsson <johannbg>
Component: argusAssignee: Jan Klepek <jan.klepek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jan.klepek, lpoetter
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: argus-2.0.6.fixes.1-22.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-30 14:45:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713562    
Attachments:
Description Flags
Native systemd service file for argus service none

Description Jóhann B. Guðmundsson 2011-04-24 18:38:14 EDT
Created attachment 494580 [details]
Native systemd service file for argus service

Description of problem:

The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-04-24 18:39:32 EDT
To test this.

Copy the file into /lib/systemd/system/ directory 

Run systemctl daemon-reload

Then run

systemctl start/stop/restart/enable/disable argus.service
Comment 2 Bill Nottingham 2011-04-26 13:35:28 EDT
Moving systemd service RFEs to rawhide.

At this point, it is not appropriate in the Fedora 15 cycle to add these. Furthermore, at this point, we are still finalizing the packaging guidelines to handle SysV -> systemd upgrades.

We therefore request:
- wait until there are packaging guidelines (this will be announced on the devel list). This ensures that upgrades will work smoothly and we/you won't have to do multiple sets of changes.
- work on these sorts of changes for Fedora 16 where necessary, not Fedora 15, as we're trying to fix things for release.
- do *not* change a service from SysV to systemd in an existing release (such as Fedora 15), as this is the sort of behavior change that goes against our update policy, documented as https://fedoraproject.org/wiki/Updates_Policy
Comment 4 Fedora Update System 2011-09-08 16:02:40 EDT
argus-2.0.6.fixes.1-21.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/argus-2.0.6.fixes.1-21.fc16
Comment 5 Fedora Update System 2011-09-09 11:09:26 EDT
Package argus-2.0.6.fixes.1-21.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing argus-2.0.6.fixes.1-21.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/argus-2.0.6.fixes.1-21.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-09-09 12:35:51 EDT
argus-2.0.6.fixes.1-22.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/argus-2.0.6.fixes.1-22.fc16
Comment 7 Fedora Update System 2011-09-30 14:45:24 EDT
argus-2.0.6.fixes.1-22.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.